> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> Get Transaction



## OpenAPI

````yaml get /merchant/transactions/{transaction_id}
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /merchant/transactions/{transaction_id}:
    get:
      tags:
        - Transactions
      summary: Get Transaction
      description: Get Transaction
      operationId: getTransaction
      parameters:
        - name: transaction_id
          in: path
          required: true
          description: >-
            Unique transaction ID. Returned in the `transaction_id` field of the
            Get Transactions (`GET /merchant/transactions`) response.
          schema:
            type: string
            example: txn_294ac4cb42
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
              required:
                - merchant_key
            examples:
              Get Transaction:
                value:
                  merchant_key: '{{merchant_key}}'
      responses:
        '200':
          description: Get Transaction
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '528'
            Date:
              schema:
                type: string
                example: Wed, 19 Jun 2024 16:26:35 GMT
            ETag:
              schema:
                type: string
                example: W/"210-6cXgOCFCrI+pnwZogOHsrlzM93k"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        amount:
                          type: string
                          example: '3000.00'
                        fee_percentage:
                          type: string
                          example: '0.0000000'
                        net_amount:
                          type: number
                          example: 2920
                        other_details:
                          type: object
                          properties:
                            authcode:
                              type: string
                              example: VDhdH5BWz
                            cardType:
                              type: string
                              example: M/C
                            lastFourDigits:
                              type: string
                              example: '0060'
                        transaction_date:
                          type: string
                          example: '2024-04-15T12:01:48.000Z'
                        transaction_id:
                          type: string
                          example: txn_f0478a5ffb
                    example:
                      - amount: '3000.00'
                        fee_percentage: '0.0000000'
                        net_amount: 2920
                        other_details:
                          authcode: VDhdH5BWz
                          cardType: M/C
                          lastFourDigits: '0060'
                        transaction_date: '2024-04-15T12:01:48.000Z'
                        transaction_id: txn_f0478a5ffb
                  message:
                    type: string
                    example: Transaction fetched successfully
                  result:
                    type: boolean
                    example: true
              examples:
                Get Transaction:
                  value:
                    data:
                      - amount: '3000.00'
                        fee_percentage: '0.0000000'
                        net_amount: 2920
                        other_details:
                          authcode: VDhdH5BWz
                          cardType: M/C
                          lastFourDigits: '0060'
                        transaction_date: '2024-04-15T12:01:48.000Z'
                        transaction_id: txn_f0478a5ffb
                    message: Transaction fetched successfully
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````